#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 17. Networking Libraries

- Prev

  kdsoap-2.3.0

- Next

  ldns-1.9.0

- Up
- Home

# kdsoap-ws-discovery-client-0.4.0

## Introduction to kdsoap-ws-discovery-client

The kdsoap-ws-discovery-client package contains a library that provides support for the WS-Discovery protocol, a recent protocol used to discover services available on a local network.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.kde.org/stable/kdsoap-ws-discovery-client/kdsoap-ws-discovery-client-0.4.0.tar.xz

- Download MD5 sum: 6d653d927efac8296662bc92784f2fe5

- Download size: 32 KB

- Estimated disk space required: 7.5 MB

- Estimated build time: 0.2 SBU

### kdsoap-ws-discovery-client Dependencies

#### Required

Doxygen-1.17.0, Extra-CMake-Modules-6.23.0, and kdsoap-2.3.0

## Installation of kdsoap-ws-discovery-client

Install kdsoap-ws-discovery-client by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr    \
          -D CMAKE_BUILD_TYPE=Release     \
          -D CMAKE_SKIP_INSTALL_RPATH=ON  \
          -D QT_MAJOR_VERSION=6           \
          -W no-dev .. &&
    make

To test the results, issue: make test.

Now, as the `root` user:

    make install &&
    mv -v /usr/share/doc/KDSoapWSDiscoveryClient{,-0.4.0}

## Command Explanations

`-D CMAKE_SKIP_INSTALL_RPATH=ON`: This switch makes cmake remove hardcoded library search paths (rpath) when installing a binary executable file or a shared library. This package does not need rpath once it's installed into the standard location, and rpath may sometimes cause unwanted effects or even security issues.

mv -v /usr/share/doc/KDSoapWSDiscoveryClient[...]:: This command moves the documentation to a versioned directory.

`-D QT_MAJOR_VERSION=6`: This parameter tells the build system to build the Qt6 version of this package instead of the Qt5 version.

`-D BUILD_QCH=ON`: This option tells the build system to create documentation that can be used with QtCreator, QtAssistant, or KDevelop.

## Contents

Installed Programs: None
Installed Libraries: libKDSoapWSDiscoveryClient.so
Installed Directories: /usr/include/KDSoapWSDiscoveryClient, /usr/lib/cmake/KDSoapWSDiscoveryClient, and /usr/share/doc/KDSoapWSDiscoveryClient-0.4.0

### Short Descriptions

`libKDSoapWSDiscoveryClient.so` | provides an implementation of the WS-Discovery protocol using KDSoap

- Prev

  kdsoap-2.3.0

- Next

  ldns-1.9.0

- Up
- Home